Bug 540478 - Kernel can't see RAID after update to F12
Kernel can't see RAID after update to F12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 08:52 EST by Matt Castelein
Modified: 2010-12-03 21:55 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 21:55:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2009-11-23 08:52:59 EST
Description of problem: kernel-2.6.31.5-127.fc12.x86_64 fails to boot.  There seems to be some component missing related to my Adaptec 5805 (aacraid) and the kernel does not see any of the volumes.

Version-Release number of selected component (if applicable):
kernel-2.6.31.5-127.fc12.x86_64

How reproducible:
always
Comment 1 Matt Castelein 2009-12-02 20:20:11 EST
kernel-2.6.31.6-145.fc12.x86_64 doesn't work any better:

=====

IRQ 16/aacraid: IRQF_DISABLED is not guaranteed on shared IRQ
aacraid: aac_fib_send: adapter blinkLED 0xef.
Usually a result of a serious unrecoverable hardware problem
aac_fib_free, XferState != 0, fibptr = 0xffff0000df930000
aacraid 0000:08:00.0: PCI INT A disabled
aacraid: probe of 0000:08:00.0 failed with error -14

no root device found

no root device found

Boot has failed, sleeping forever.

======

2.6.30.9-96.fc11.x86_64 works perfectly.
Comment 2 mitchloftus 2009-12-04 11:06:17 EST
I am also having this problem. The F12_64 install DVD does not acknowledge the Adaptec RAID card (5405Z in PCIe 16 lane slot), although it SEEMS to load the aacraid driver. Install fails due to not having a drive to install on. Fedora 11_64 works fine on the same hardware. If I hang a standard SATA drive on the same machine, I CAN install F12_64 to that drive, but even after installing to the SATA drive the system will still not "see" the RAID.
Comment 3 Matt Castelein 2009-12-14 16:00:21 EST
Doesn't work in kernel-2.6.31.6-166.fc12.x86_64, either.  I'm still seeing:

W: Possible missing firmware aic94xx-seq.fw for module aic94xx.ko
W: Possible missing firmware ql8100_fw.bin for module qla2xxx.ko
W: Possible missing firmware ql2500_fw.bin for module qla2xxx.ko

..When doing updates.  I'm not using any new kernels until this is fixed.
Comment 4 Frederic TEMPORELLI 2009-12-18 06:43:24 EST
Hi,

We have such troubles when using 2.6.31.6-145 from FC11 Upgrade 6 (x86_64)

Adapter is Adaptec 5805 updated to latest firmware (17544),
It's working fine with FC11 2.6.29 kernel

But when using 2.6.31.6-145 the adapter hangs (module loaded from initrd):
- sometimes we can reach there are scsi error or adapter abort request when mounting ext4
- most often, we get error message from aacraid

aacraid: Host adapter abort request (6,1,223,0)"

or

Adaptec aacraid driver 1.1-5[2461]-ms
  alloc irq_desc for 50 on node 0
  alloc kstat_irqs on node 0
aacraid 0000:84:00.0: PCI INT A -> GSI 50 (level, low) -> IRQ 50
aacraid 0000:84:00.0: setting latency timer to 64
IRQ 50/aacraid: IRQF_DISABLED is not guaranteed on shared IRQs
aacraid: aac_fib_send: adapter blinkLED 0xef.
Usually a result of a serious unrecoverable hardware problem
aac_fib_free, XferState != 0, fibptr = 0xffff8804a9ab0000, XferState = 0x810ad
aacraid 0000:84:00.0: PCI INT A disabled
aacraid: probe of 0000:84:00.0 failed with error -14


We tried several aacraid parameters without success:
- with msi / without msi
- dacmod (dma 32 and 64 bits)
- reset_device (reset device at module startup)
- cache activated/deactivated
...

We also try to use the newest driver 1.1-5[24900] from Adaptec web site
(1.1-5[2461] is provided with  Kernel 2.6.31.6-145 from FC11...)
But still this issue.

Hope this may help to resolve this issue
Comment 5 uhlemann 2009-12-18 08:58:17 EST
Hallo,

we have the same problem when installing FC12. The 
kernel 2.6.31.5-127.fc12.x86_64 does not recognize the Adaptec 2405
raid controller which works fine with FC10 and CentOS 5.4.
Relevant kernel log lines are 

6>Adaptec aacraid driver 1.1-5[2461]-ms
<7>  alloc irq_desc for 24 on node 0
<7>  alloc kstat_irqs on node 0
<7>alloc irq_2_iommu on node 0
<6>aacraid 0000:08:00.0: PCI INT A -> GSI 24 (level, low) -> IRQ 24
<4>IRQ 24/aacraid: IRQF_DISABLED is not guaranteed on shared IRQs
...
<3>aacraid: aac_fib_send: adapter blinkLED 0xef.
<3>Usually a result of a serious unrecoverable hardware problem
<4>aac_fib_free, XferState != 0, fibptr = 0xffff880620e00000, XferState = 0x810ad
<6>aacraid 0000:08:00.0: PCI INT A disabled
<4>aacraid: probe of 0000:08:00.0 failed with error -14
Comment 6 mitchloftus 2009-12-18 10:07:02 EST
I have kernel 2.6.30.9-102.fc11.x86_64 running on my problem machine and it seem to be working fine.
Comment 7 Matt Castelein 2009-12-18 10:11:58 EST
(In reply to comment #6)
> I have kernel 2.6.30.9-102.fc11.x86_64 running on my problem machine and it
> seem to be working fine.  

All the 2.6.30 kernels I have work fine, and all the 2.6.31 kernels do not.
Comment 8 mitchloftus 2009-12-18 10:23:36 EST
That would seem to provide a very large hint as to where the problem has crept in. Now, if only the fine folks working the kernel would find and fix it....
Comment 9 Frederic TEMPORELLI 2010-01-15 06:40:03 EST
Here's a report of a colleague playing with kernels:

It appears that:
. the update kernel from FC12:  2.6.31.9-174 has the aacraid problem on FC12
. the vanilla 2.6.31.9 kernel with similar configuration boots OK.
. the vanilla 2.6.32 kernel boots OK.

=> seems that this issue is due to a kernel patch from Fedora
Comment 10 Xavier Bru 2010-02-02 09:46:13 EST
Problem is due to the Patch383: linux-2.6-defaults-aspm.patch
It seems that enabling the ASPM support kills the Adaptec 5805 controller.
Removing the patch, the 2.6.31.9-174 kernel boots OK on the machine.
Comment 11 Xavier Bru 2010-02-02 10:09:32 EST
A simple way to work around the problem without recompiling the kernel is adding the kernel boot parameter:
pcie_aspm=off
Comment 12 Matt Castelein 2010-02-02 11:19:55 EST
(In reply to comment #10)
> Problem is due to the Patch383: linux-2.6-defaults-aspm.patch
> It seems that enabling the ASPM support kills the Adaptec 5805 controller.
> Removing the patch, the 2.6.31.9-174 kernel boots OK on the machine.    

(In reply to comment #11)
> A simple way to work around the problem without recompiling the kernel is
> adding the kernel boot parameter:
> pcie_aspm=off    

Good find.  This workaround got my machine booted properly.
Comment 13 Audrius Meskauskas 2010-04-09 10:03:54 EDT
Best it would be to get power management working properly. These RAID devices use tens watts of power. Great to have at least work around, however.
Comment 14 Jimmy Dorff 2010-04-16 15:33:14 EDT
Same problem on F13 beta (2.6.33.2-41.fc13). "pcie_aspm=off" workaround works for me.
Comment 15 Audrius Meskauskas 2010-04-26 11:28:46 EDT
For me it actually does not. With Fedora 12 and "pcie_aspm=off" the installation hangs soon after the first graphic screen appears, just activity LEDs of all RAID involved hard drives transiently flashing with bit time gaps in between. The same computer (and controller) works flawlessly with Red Hat 5 server edition. Fedora 10 installs and works but the drive rebuilding LED's are always flashing on the 3 of the 4 existing drives. 3 failed drives is truly bad on RAID 1E, but as the system works as if nothing this is likely improper reporting.
Comment 16 Henrik Holmboe 2010-05-09 14:47:23 EDT
I'm also seeing this in F13 beta. Though the proposed solution does not get me far enough, and I don't know if this is relevant to this particular bug, but I will include it here in the off chance that it does.

When i boot with "pcie_aspm=off" it get's me into the curses based installer, and it does not automatically find the installtree and asks me for its device. I can verify in ALT+F3 that sr0 is my DVD-drive (attached via USB). When I choose that device, or any other device for that matter, the installer crashes with 'loader' receiving SIGABRT. I can probably hand-copy the backtrace if it's relevant.
Comment 17 Bug Zapper 2010-11-04 01:38:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-12-03 21:55:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.